
%global meadversion 1.1.2
%global namedversion 1.1.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-jstl-api_1.2_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.2.Final-redhat-1

Name:           %{?scl_prefix}jboss-jstl-api_1.2_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JavaServer Pages(TM) Standard Tag Library 1.2 API
Group:          Development/Java

%if %with mead
Source100: jboss-jstl-api_1.2_spec-1.1.2.Final-redhat-1-scm-sources.zip
Source102: jboss-jstl-api_1.2_spec-1.1.2.Final-redhat-1.pom
Source103: jboss-jstl-api_1.2_spec-1.1.2.Final-redhat-1-sources.jar
Source104: jboss-jstl-api_1.2_spec-1.1.2.Final-redhat-1-javadoc.jar
Source105: jboss-jstl-api_1.2_spec-1.1.2.Final-redhat-1-project-sources.tar.gz
Source106: jboss-jstl-api_1.2_spec-1.1.2.Final-redhat-1.jar
%endif

License:        CDDL or GPLv2 with exceptions/ASL 2.0
URL:            https://github.com/jboss/jboss-jstl-api_spec
%if 0
Requires:       %{?scl_prefix_eap}jboss-el-api_3.0_spec >= 0:1.0.4.Final
Requires:       %{?scl_prefix_eap}jboss-servlet-api_3.1_spec >= 0:1.0.0.Final
Requires:       %{?scl_prefix_eap}jboss-jsp-api_2.3_spec >= 0:1.0.1.Final
Requires:       %{?scl_prefix_eap}xalan >= 0:2.7.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSR 52: JavaServer Pages(TM) Standard Tag Library 1.2 API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jstl-api_1.2_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jstl-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jstl-api_1.2_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jstl-api_1.2_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jstl-api_1.2_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jstl-api_1.2_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jstl-api_1.2_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jstl-api_1.2_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jstl-api_1.2_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jstl-api_1.2_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jstl-api_1.2_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jstl-api_1.2_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jstl-api_1.2_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc CHANGES.txt LICENSE README README.md
%{_javadir}/jboss-jstl-api_1.2_spec-%{namedversion}.jar
%{_javadir}/jboss-jstl-api_1.2_spec.jar
%if %with javadoc
%{_javadir}/jboss-jstl-api_1.2_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jstl-api_1.2_spec-javadoc.jar
%endif
%{_javadir}/jboss-jstl-api_1.2_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jstl-api_1.2_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jstl-api_1.2_spec-%{namedversion}
%{_javadocdir}/jboss-jstl-api_1.2_spec
%endif

%changelog
* Wed Jun 17 2015 David Walluck <dwalluck@redhat.com> - 1.1.2-1.Final_redhat_1.1
- release

